from H3DInterface import *

class Grab( TypedField(SFBool, SFString) ) :
  def update( self, event ):
    routes_in = self.getRoutesIn()
    key = routes_in[0].getValue()
    if key == "g":
      return 1
    else :
      return 0
      
grab = Grab()
